if (SimpleTasksSettings.useLocalStorage && !Ext.supports.LocalStorage) {
    alert('Simple Tasks is configured to use HTML5 Local Storage, but your browser does not support Local Storage');
} else {
    Ext.Loader.setPath('Ext.ux', 'ux/')
    Ext.Loader.setConfig({
        enabled: true
    });
    Ext.application({
        name: 'SimpleTasks',
        autoCreateViewport: true,
        controllers: ['Lists', 'Tasks'],
        launch: function() {
            var contollerLists = this.getController('Lists');
            var contollerTasks = this.getController('Tasks');
            // Create Ion Menu.
            var me = this,
                mb = Ion.ui.mainWindow.menuBar,
                menu;

            this.menus = {};
            menu = this.menus.File = mb.addMenu('File');
            this.menu_items = {};
            this.menu_items.file_newList = menu.addMenuItem('New List', function() {contollerLists.addList(true);}, '' );
            this.menu_items.file_newFolder = menu.addMenuItem('New Folder', function() {contollerLists.addList();}, '' );
            menu.addSeparator();
            this.menu_items.file_delTask = menu.addMenuItem('Delete Task', function() {contollerTasks.deleteTask(contollerTasks.getTaskGrid().getSelectionModel().getSelection()[0]);}, '' );
            this.menu_items.file_markActive = menu.addMenuItem('Mark Active', function() {contollerTasks.markActive();}, '' );
            this.menu_items.file_markComplete = menu.addMenuItem('Mark Complete', function() {contollerTasks.markComplete();}, '' );
			
            menu = this.menus.Show = mb.addMenu('Show');
            this.menu_items = {};
            this.menu_items.show_allTasks = menu.addMenuItem('All Tasks', function() {contollerTasks.filterAllMenuSelect();}, '' );
            this.menu_items.show_activeTasks = menu.addMenuItem('Active Tasks', function() {contollerTasks.filterActiveMenuSelect();}, '' );
            this.menu_items.show_completedTasks = menu.addMenuItem('Completed Tasks', function() {contollerTasks.filterCompleteMenuSelect();}, '' );			
        }
    });
}
